#ifndef __CeresError_H
#define __CeresError_H


class CeresError
{
public:

	enum {
		e_msgSize = 1024,
		e_fileSize = 1024
	};

	CeresError();
	CeresError(const CeresError &);
	CeresError & operator=(const CeresError &);
	
	int Num();

	void Msg(const char *);
	const char * Msg();

	void File(const char *);
	const char * File();

	void Line(unsigned);
	unsigned Line();

protected:

	int			m_num;
	char		m_msg[e_msgSize];
	char		m_file[e_fileSize];
	unsigned	m_line;
};


#endif
