package keepalive.communication;

/**
 * Call-back interface that is notified when new messages are received.
 */
public interface MessageListener {
     /**
      * A message has been received. Call-back method.
      *
      * @param s the message that was  received
      * @return true if this MessageListener processed the incoming message,
      * false if it ignored it.
      */
     public boolean messageReceived(String s);
}