package keepalive.socket;

import java.io.IOException;
import java.net.ServerSocket;
import java.net.Socket;

/**
 * Abstracts the functionality of a TCP/IP socket so that 
 * either real TCP/IP sockets or simulated sockets can be used.
 *
 */
public interface ServerSocketIfc {
   /**
    */
   public AbstractSocket accept() throws IOException;
   /**
    */
   public void close() throws IOException;
}
