// htmlreader.h
// copyright (C) 2000 by David Cox All Rights Reserved

#ifndef __HTMLREADER_H
#define __HTMLREADER_H

#include <stdio.h>
#include "Parser.h"
#include "CommandTable.h"

class HtmlReader
{
public:
	
	enum {
		e_bufferSize = 16000
	};

	HtmlReader();
	HtmlReader(const HtmlReader &);
	~HtmlReader();
	HtmlReader &operator=(const HtmlReader &);

	void Read(char * filename);
	int Search(char * target);
	
	char operator [](int);
	void Translate(CommandTable & command);

private:

	char * m_buffer;
	Parser m_parser;

};

#endif
