#ifndef GGCL_CONFIG_H
#define GGCL_CONFIG_H

@TOP@

#undef TIME_WITH_SYS_TIME
#undef HAVE_LIMITS_H
#undef HAVE_GETTIMEOFDAY
#undef HAVE_SYS_TIME_H
#undef HAVE_UNISTD_H


#undef GGCL_HAVE_LIMITS
#undef GGCL_HAVE_CONST_TEMPLATE_PARAMS
#undef __STL_USE_OLD_SGI_ALLOCATOR
#undef GGCL_PARTIAL_SPECIALIZATION
#undef GGCL_HAVE_SLIST
#undef GGCL_HAVE_HASH
#undef STD_ITERATOR
#undef GGCL_OLD_STREAM_ITERATORS
@BOTTOM@

#if defined(_MSC_VER) && !defined(__ICL) && !defined(__MWERKS__)
#define GGCL_MSVCPP _MSC_VER
#define GGCL_HAVE_LIMITS 1
#define __STL_USE_OLD_SGI_ALLOCATOR 1
#undef GGCL_PARTIAL_SPECIALIZATION
#undef GGCL_HAVE_SLIST
#undef GGCL_HAVE_HASH
#endif

#if defined(__sgi) && !defined(__GNUC__) && (_COMPILER_VERSION < 730)
#  define GGCL_NO_TEMPLATE
#elif defined(__GNUC__) && (__GNUC__ < 9)
#  define GGCL_NO_TEMPLATE
#elif defined(__KCC_VERSION) && (__KCC_VERSION < 3400)
#  define GGCL_NO_TEMPLATE
#elif defined(__MWERKS__)
#  define GGCL_NO_TEMPLATE
#endif

# ifndef __STL_DEFAULT_ALLOCATOR
#   ifdef __STL_USE_OLD_SGI_ALLOCATOR
#     define __STL_DEFAULT_ALLOCATOR(T) alloc
#   else
#     define __STL_DEFAULT_ALLOCATOR(T) allocator< T >
#   endif
# endif

#ifdef GGCL_NO_TEMPLATE
#define GGCL_TEMPLATE
#else
#define GGCL_TEMPLATE template
#endif

#endif /* GGCL_CONFIG_H */
