package keepalive.socket.sim.ui;

import java.awt.*;
import java.awt.event.*;
import keepalive.socket.sim.SimHost;

/**
 * Displays information current ServerSockets and Sockets.
 * (The class named after the utility netstat, although it only
 * simulates a small part of netstat's functionality.)
 *
 */
public class NetstatUI extends Panel {
    TextArea textArea = new TextArea();
    BorderLayout borderLayout1 = new BorderLayout();
    PlugPanel plugPanel;


    /**
    * Construct a netstat-like user interface for the given host
    * @param host for which we wish to display a user interface.
    */
    public NetstatUI(SimHost host ) {
        plugPanel = new PlugPanel(host);
        try {
             jbInit();
        } catch (Exception e) {
        }
    }

    /**
    */
    private void jbInit() throws Exception {
        setLayout(borderLayout1);
        this.add(textArea, BorderLayout.CENTER);
        this.add(plugPanel, BorderLayout.NORTH);
        textArea.setEditable(false);
    }


    /**
     * all-back method for displaying Strings.
     * @param s String to display.
     */
    public void display(String s) {
        textArea.setText(s);
    }
}


