#ifndef __PAIR_H
#define __PAIR_H

struct Pair
{
	char * m_name;
	char * m_value;
	Pair * m_next;
};


class PairList
{
public:

	PairList();
	PairList(const PairList &);
	~PairList();
	PairList &operator=(const PairList &);

	void Add(Pair *);
	void Destroy();
	int Size();
	Pair * operator[](int);

	void PrintList();
	void CreateList(char * input, char * tokenstr);
	void SetValues(char * tokenstr);

private:

	Pair *	m_top;
	Pair *	m_bot;
	int		m_size;
};


#endif
