#ifndef __PARSER_H
#define __PARSER_H


class Parser
{
public:

	enum {
		e_commandSize = 32,
		e_paramSize = 256
	};

	Parser();
	void EatWhitespace();
	void NextToken(const char *);
	void NextCommand();
	void NextParam();
	char * Parse(const char *);

	char * Command();
	char * Param();

private:

	char m_command[e_commandSize];
	char m_param[e_paramSize];
	char * m_next;
};



#endif
